<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.17) on Sun Jan 22 15:20:30 CET 2023 -->
<title>Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF8">
<meta name="dc.created" content="2023-01-22">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.6.0.min.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.min.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="#I:A">A</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:J">J</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:U">U</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="allpackages-index.html">All&nbsp;Packages</a><a id="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#afficheJeu(int,java.util.ArrayList)">afficheJeu(int, ArrayList&lt;Integer&gt;)</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>
<div class="block">Method that displays matches</div>
</dd>
</dl>
<a id="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#cpt">cpt</a></span> - Variable in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:E">
<!--   -->
</a>
<h2 class="title">E</h2>
<dl>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#enlever(java.util.ArrayList,int,int)">enlever(ArrayList&lt;Integer&gt;, int, int)</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>
<div class="block">Divise en deux tas les alumettes d'une ligne de jeu (1 ligne = 1 tas)</div>
</dd>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#estConnueGagnante(java.util.ArrayList)">estConnueGagnante(ArrayList&lt;Integer&gt;)</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>
<div class="block">Determines whether the configuration is known as a loser in posPerdante</div>
</dd>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#estConnuePerdante(java.util.ArrayList)">estConnuePerdante(ArrayList&lt;Integer&gt;)</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>
<div class="block">Determines whether the configuration is known as a loser in posPerdante</div>
</dd>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#estGagnante(java.util.ArrayList)">estGagnante(ArrayList&lt;Integer&gt;)</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>
<div class="block">Indicates whether the configuration wins.</div>
</dd>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#estPerdante(java.util.ArrayList)">estPerdante(ArrayList&lt;Integer&gt;)</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>
<div class="block">RECURSIVE method that indicates whether the configuration (of the current game or trial set) loses</div>
</dd>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#estPossible(java.util.ArrayList)">estPossible(ArrayList&lt;Integer&gt;)</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>
<div class="block">Teste s'il est possible de séparer un des tas</div>
</dd>
</dl>
<a id="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Grundy2RecPerdEtGagn</span></a> - Class in <a href="package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>
<div class="block">Grundy game</div>
</dd>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#%3Cinit%3E()">Grundy2RecPerdEtGagn()</a></span> - Constructor for class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:I">
<!--   -->
</a>
<h2 class="title">I</h2>
<dl>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#identiques(java.util.ArrayList,java.util.ArrayList)">identiques(ArrayList&lt;Integer&gt;, ArrayList&lt;Integer&gt;)</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>
<div class="block">Method allowing do determine if two lists contan the same items</div>
</dd>
</dl>
<a id="I:J">
<!--   -->
</a>
<h2 class="title">J</h2>
<dl>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#jouerGagnant(java.util.ArrayList)">jouerGagnant(ArrayList&lt;Integer&gt;)</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>
<div class="block">Play the winning move if it exists</div>
</dd>
</dl>
<a id="I:N">
<!--   -->
</a>
<h2 class="title">N</h2>
<dl>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#normalise(java.util.ArrayList)">normalise(ArrayList&lt;Integer&gt;)</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>
<div class="block">method that copies an ArrayList</div>
</dd>
</dl>
<a id="I:P">
<!--   -->
</a>
<h2 class="title">P</h2>
<dl>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#partie()">partie()</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>
<div class="block">Method that manages the game by creating the players 
 and the number of matche.</div>
</dd>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#partieTerminee(java.util.ArrayList)">partieTerminee(ArrayList&lt;Integer&gt;)</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>
<div class="block">Method that checks after each turn that the game can or not continue</div>
</dd>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#posGagnantes">posGagnantes</a></span> - Variable in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#posPerdantes">posPerdantes</a></span> - Variable in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#premier(java.util.ArrayList,java.util.ArrayList)">premier(ArrayList&lt;Integer&gt;, ArrayList&lt;Integer&gt;)</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>
<div class="block">Crée une toute première configuration d'essai à partir du jeu</div>
</dd>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#principal()">principal()</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#suivant(java.util.ArrayList,java.util.ArrayList,int)">suivant(ArrayList&lt;Integer&gt;, ArrayList&lt;Integer&gt;, int)</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>
<div class="block">Génère la configuration d'essai suivante (c'est-à-dire UNE décomposition possible)</div>
</dd>
</dl>
<a id="I:T">
<!--   -->
</a>
<h2 class="title">T</h2>
<dl>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#testafficheJeu()">testafficheJeu()</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>
<div class="block">testing method affichePartie</div>
</dd>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#testCasAfficheJeu(int,java.util.ArrayList,java.lang.String)">testCasAfficheJeu(int, ArrayList&lt;Integer&gt;, String)</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>
<div class="block">Test a call of affichePartie</div>
</dd>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#testCasEstConnueGagnante(java.util.ArrayList,boolean)">testCasEstConnueGagnante(ArrayList&lt;Integer&gt;, boolean)</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>
<div class="block">Allows to test several cases of estConnueGagnante</div>
</dd>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#testCasEstConnuePerdante(java.util.ArrayList,boolean)">testCasEstConnuePerdante(ArrayList&lt;Integer&gt;, boolean)</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>
<div class="block">Method allowing to test several cases of estConnuePerdante method</div>
</dd>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#testCasIdentiques(java.util.ArrayList,java.util.ArrayList,boolean)">testCasIdentiques(ArrayList&lt;Integer&gt;, ArrayList&lt;Integer&gt;, boolean)</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>
<div class="block">Allows to test several cases of identiques</div>
</dd>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#testCasJouerGagnant(java.util.ArrayList,java.util.ArrayList,boolean)">testCasJouerGagnant(ArrayList&lt;Integer&gt;, ArrayList&lt;Integer&gt;, boolean)</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>
<div class="block">Test d'un cas de la méthode jouerGagnant()</div>
</dd>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#testCasNormalise(java.util.ArrayList,java.util.ArrayList)">testCasNormalise(ArrayList&lt;Integer&gt;, ArrayList&lt;Integer&gt;)</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>
<div class="block">Method allowing to test several cases of normalise method</div>
</dd>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#testCasPartieTerminee(java.util.ArrayList,boolean)">testCasPartieTerminee(ArrayList&lt;Integer&gt;, boolean)</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>
<div class="block">Test a call of partieTerminer</div>
</dd>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#testCasPremier(java.util.ArrayList,int,java.util.ArrayList)">testCasPremier(ArrayList&lt;Integer&gt;, int, ArrayList&lt;Integer&gt;)</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>
<div class="block">Test un cas de la méthode testPremier</div>
</dd>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#testCasSuivant(java.util.ArrayList,java.util.ArrayList,int,java.util.ArrayList,int)">testCasSuivant(ArrayList&lt;Integer&gt;, ArrayList&lt;Integer&gt;, int, ArrayList&lt;Integer&gt;, int)</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>
<div class="block">Test un cas de la méthode suivant</div>
</dd>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#testEstConnueGagnante()">testEstConnueGagnante()</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>
<div class="block">Method allowing to test estConnueGagnante</div>
</dd>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#testEstConnuePerdante()">testEstConnuePerdante()</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>
<div class="block">Method allowing to test estConnuePerdante method</div>
</dd>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#testEstGagnanteEfficacite()">testEstGagnanteEfficacite()</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>
<div class="block">Efficiency testing method of estGagnante</div>
</dd>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#testIdentiques()">testIdentiques()</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>
<div class="block">Allows to test identiques</div>
</dd>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#testJouerGagnant()">testJouerGagnant()</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>
<div class="block">Tests succincts de la méthode joueurGagnant()</div>
</dd>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#testNormalise()">testNormalise()</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>
<div class="block">Method allowing to test normalise method</div>
</dd>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#testPartieTerminee()">testPartieTerminee()</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>
<div class="block">Tests the partieTerminer method</div>
</dd>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#testPremier()">testPremier()</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>
<div class="block">Tests succincts de la méthode premier()</div>
</dd>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#testSuivant()">testSuivant()</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>
<div class="block">Tests succincts de la méthode suivant()</div>
</dd>
</dl>
<a id="I:U">
<!--   -->
</a>
<h2 class="title">U</h2>
<dl>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#untour(java.lang.String,java.util.ArrayList,int)">untour(String, ArrayList&lt;Integer&gt;, int)</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>
<div class="block">Method that spins a turn of the game for a given player</div>
</dd>
<dt><span class="memberNameLink"><a href="Grundy2RecPerdEtGagn.html#unTourOrdi(java.lang.String,java.util.ArrayList,int)">unTourOrdi(String, ArrayList&lt;Integer&gt;, int)</a></span> - Method in class <a href="Grundy2RecPerdEtGagn.html" title="class in &lt;Unnamed&gt;">Grundy2RecPerdEtGagn</a></dt>
<dd>
<div class="block">Method that runs a round of the game for the computer</div>
</dd>
</dl>
<a href="#I:A">A</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:J">J</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:U">U</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
